Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.provider.elgamal
Class RIPEMD160_ElGamal_PKCS1Signature

    java.lang.Object
      |
      +--java.security.SignatureSpi
            |
            +--java.security.Signature
                  |
                  +--cryptix.provider.elgamal.Any_ElGamal_PKCS1Signature
                        |
                        +--cryptix.provider.elgamal.RIPEMD160_ElGamal_PKCS1Signature

public class RIPEMD160_ElGamal_PKCS1Signature
extends Any_ElGamal_PKCS1Signature

A class to digest a message with RIPEMD160, and sign/verify the resulting hash using the ElGamal digital signature scheme, with PKCS#1 block padding.

Copyright © 1997 Systemics Ltd on behalf of the Cryptix Development Team.
All rights reserved.

$Revision: 1.2 $

Since:
  Cryptix 2.2.2
Author:
  Raif S. Naffah, David Hopwood

Fields inherited from class java.security.Signature
`SIGN, state, UNINITIALIZED, VERIFY`

Fields inherited from class java.security.SignatureSpi
`appRandom`

Constructor Summary
`RIPEMD160_ElGamal_PKCS1Signature()`

Method Summary
`protected byte[]` | `getAlgorithmEncoding()` Returns the ASN.1 bytes of the AlgorithmIdentifier token described in `engineSign()` method above.

Methods inherited from class cryptix.provider.elgamal.Any_ElGamal_PKCS1Signature
`engineGetParameter, engineInitSign, engineInitVerify, engineSetParameter, engineSign, engineUpdate, engineUpdate, engineVerify`

Methods inherited from class java.security.Signature
`clone, getAlgorithm, getInstance, getInstance, getParameter, getProvider, initSign, initSign, initVerify, setParameter, setParameter, sign, sign, toString, update, update, update, verify`

Methods inherited from class java.security.SignatureSpi
`engineInitSign, engineSetParameter, engineSign`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RIPEMD160_ElGamal_PKCS1Signature

    public RIPEMD160_ElGamal_PKCS1Signature()

Method Detail

### getAlgorithmEncoding

    protected byte[] getAlgorithmEncoding()

  Description copied from class: Any_ElGamal_PKCS1Signature
  Returns the ASN.1 bytes of the AlgorithmIdentifier token described in `engineSign()` method above.
  Overrides:
    getAlgorithmEncoding in class Any_ElGamal_PKCS1Signature
  Tags copied from class: Any_ElGamal_PKCS1Signature
  Returns:
    the AlgorithmIdentifier bytes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.